<!DOCTYPE html>
<html lang="en-GB">
<head>
  <meta charset="utf-8" />
  <title>Test Page for Embedded OpenStreetMap with aria-details Attribute | Accessibility Works</title>
  <meta name="viewport" content="width=device-width, initial-scale=1, user-scalable=yes" />
  <link rel="stylesheet" type="text/css" media="screen" href="../../../css/verdemoderna.css" title="default" />
  <link rel="top" href="../../../index.html" title="Accessibility Works: Home page" />
  <meta name="robots" content="noindex, nofollow" />
</head>
<body class="extended-descriptions">
  <header id="header">
    <h1><span class="h1txt">Test Page for Embedded OpenStreetMap with <code>aria-details</code> Attribute</span></h1>
  </header>

  <main id="main">
    <p>This page contains a map provided by <a href="https://www.openstreetmap.org/#map=19/50.84514/4.37613">OpenStreetMap</a> with a detailed description below it.
      The detailed description is referenced in the <code>aria-details</code> attribute on the <code>iframe</code> element.
      (Obsolete attributes provided by OpenStreetMap were removed, <abbr>i.e.</abbr> <code>frameborder="0"</code>, <code>scrolling="no"</code>, <code>marginheight="0"</code> and <code>marginwidth="0"</code>.)
    </p>
    <h2>The Map</h2>
    <div class="map-container osm-container">
      <iframe width="425" height="350"
        title="Map: Rue Philippe le Bon 1 in Brussels"
        src="https://www.openstreetmap.org/export/embed.html?bbox=4.373894333839417%2C50.84444832626097%2C4.378373622894288%2C50.84582860752608&amp;layer=mapnik&amp;marker=50.845138471998034%2C4.376133978366852"
        aria-details="map-description"
        style="border: 1px solid black">
      </iframe>
      <br/><small><a href="https://www.openstreetmap.org/?mlat=50.84514&amp;mlon=4.37613#map=19/50.84514/4.37613">View Larger Map</a></small>
    </div>
    <div id="map-description">
      <p>The <span lang="fr">Rue Philippe le Bon</span> or <span lang="nl">Filips de Goedestraat</span> in Brussels
        runs from the <span lang="fr">Rue Joseph II</span> in the south to
        the <span lang="fr">Square Gutenberg</span> in the north.
        It crosses the <span lang="fr">Rue Stevin</span> and the <span lang="fr">Rue Ortélius</span>.
      </p>
      <p>The nearest metro station is <span lang="fr">Maelbeek</span> or <span lang="nl">Maalbeek</span> on the
        <span lang="fr">Rue de la Loi</span> or <span lang="nl">Wetstraat</span>, which runs parallel to the <span lang="fr">Rue Philippe le Bon</span>.
      </p>
    </div>

    <section>
      <h2>Selected Test Results</h2>
      <ul>
        <li><abbr>NVDA</abbr> 2022.2 with Firefox 111.0.1: when tabbing to the map,
          the screen reader speaks the <code>iframe</code> element's <code>title</code> attribute
          and adds, <q>frame has details</q>.
          However, after pressing <kdbd>NVDA + d</kdb>, the screen reader says, <q>No additional details</q>.
        </li>
        <!--
        <li><abbr>NVDA</abbr> 2022.2 with Edge 111.0.1661.62: (&hellip;)
        </li>
        -->
        <li><abbr>NVDA</abbr> 2022.2 with Google Chrome 112.0.5615.50: when tabbing to the map,
          the screen reader speaks the <code>iframe</code> element's <code>title</code> attribute
          and adds, <q>frame has details</q>.
          However, after pressing <kdbd>NVDA + d</kdb>, the screen reader says, <q>No additional details</q>.
        </li>
      </ul>
    </section>
  </main>

  <footer id="footer">
    <p id="licence">
      <a class="image" rel="license" href="http://creativecommons.org/licenses/by-sa/4.0/">
      <img alt="Creative Commons License Attribution-ShareAlike" style="border-width:0" src="../../../img/cc-licence-by-sa-88x31.png" />
      </a>
      <br />
      <a href="https://cstrobbe.gitlab.io/A11yWorks/">Accessibility Works</a>
      by <a href="https://gitlab.com/cstrobbe">Christophe Strobbe</a> is licensed under a
      <a lang="en-US" rel="license" href="http://creativecommons.org/licenses/by-sa/4.0/">Creative Commons Attribution-ShareAlike 4.0 International License</a>.
    </p>
    <p><a href="../../../sitemap.html">Site map</a>.</p>
    <p>You can <a href="https://gitlab.com/cstrobbe/A11yWorks">fork the code</a> on GitLab.</p>
  </footer>
</body>
</html>